#!/usr/bin/python
# -* coding: iso-8859-1 -*-
"""
**********************************************************************
File Name:             Test_I2C_ADC.py
Dev:                   Daniele De Santis
Email:                 desantis@areasx.com
Web:                   http://www.areasx.com

Versione:              0.0
Data:                  19/02/15
Note Hardware:  
Note Software: 
**********************************************************************
"""
import time
import smbus

print "Test I2C Ingressi ADC"
bus = smbus.SMBus(1)

bus.write_byte_data(0x04,0x03,0x00) #Disabilita il Watchdog

time.sleep(1.0)

print "TEST ADC 1 (Vin 0-15V) PIN 09"  #PIN 9
adc_lsb = bus.read_byte_data(0x04,0x08)
adc_msb = bus.read_byte_data(0x04,0x09)
adc = adc_lsb + (adc_msb<<8)
print "ADC 1 = %.03f V [0x%X 0x%X] " % (float(adc) / 1000, adc_msb, adc_lsb)

print "TEST ADC 2 (Vin 0-15V) PIN 10"  #PIN 10
adc_lsb = bus.read_byte_data(0x04,0x0A)
adc_msb = bus.read_byte_data(0x04,0x0B)
adc = adc_lsb + (adc_msb<<8)
print "ADC 2 = %.03f V [0x%X 0x%X] " % (float(adc) / 1000, adc_msb, adc_lsb)

print "TEST ADC 3 (4-20mA) PIN 20"  #Pin 20
adc_lsb = bus.read_byte_data(0x04,0x0C)
adc_msb = bus.read_byte_data(0x04,0x0D)
adc = adc_lsb + (adc_msb<<8)
print "ADC 3 = %.03f mA [0x%X 0x%X] " % (float(adc) / 1000, adc_msb, adc_lsb)

print "TEST ADC 4 (4-20mA) PIN 19" #Pin 19
adc_lsb = bus.read_byte_data(0x04,0x0E)
adc_msb = bus.read_byte_data(0x04,0x0F)
adc = adc_lsb + (adc_msb<<8)
print "ADC 4 = %.03f mA [0x%X 0x%X] " % (float(adc) / 1000, adc_msb, adc_lsb)
